Package: groovy.json

## [Java] Class JsonException

- groovy.json.JsonException

-     public class JsonException
      extends RuntimeException

  `JsonException` is the exception thrown by the JSON builder and slurper classes, whenever a problem occurs when creating or parsing JSON data structures.

  Since:
    1.8.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `JsonException()`
    `JsonException(String s)`
    `JsonException(String s, Throwable throwable)`
    `JsonException(Throwable throwable)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class RuntimeException` | `addSuppressed, equals, fillInStackTrace, getCause, getClass, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, hashCode, initCause, notify, notifyAll, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public JsonException()

    - #### public JsonException(String s)

    - #### public JsonException(String s, Throwable throwable)

    - #### public JsonException(Throwable throwable)